com.aliyun.svideosdk.common.struct.project

## Class PaintTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.GlobalTrack
    - - com.aliyun.svideosdk.common.struct.project.PaintTrack

-     public class PaintTrack
      extends GlobalTrack

  涂鸦 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `GlobalTrack.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaintTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CanvasInfo` | `getCanvasInfo()` 获取画布信息,不建议用户使用
    `Source` | `getSource()` 获取涂鸦资源
    `float` | `getTimelineIn()` 获取素材片段相对于时间线的切入点
    `float` | `getTimelineOut()` 获取素材片段相对于时间线的出点。
    `void` | `setCanvasInfo(CanvasInfo canvasInfo)` 设置画布信息，不建议用户使用
    `void` | `setSource(Source source)` 设置涂鸦资源
    `void` | `setTimelineIn(float timelineIn)` 设置素材片段相对于时间线的切入点
    `void` | `setTimelineOut(float timelineOut)` 设置素材片段相对于时间线的出点。

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaintTrack

          public PaintTrack()

  - ### Method Detail

    - #### getSource

          public Source getSource()

      获取涂鸦资源
      Returns:
        涂鸦资源

    - #### setSource

          public void setSource(Source source)

      设置涂鸦资源
      Parameters:
        `source` - 涂鸦资源

    - #### getTimelineIn

          public float getTimelineIn()

      获取素材片段相对于时间线的切入点
      Returns:
        切入点

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      设置素材片段相对于时间线的切入点
      Parameters:
        `timelineIn` - 切入点

    - #### getTimelineOut

          public float getTimelineOut()

      获取素材片段相对于时间线的出点。
      Returns:
        切出点

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      设置素材片段相对于时间线的出点。
      Parameters:
        `timelineOut` - 切出点

    - #### getCanvasInfo

          public CanvasInfo getCanvasInfo()

      获取画布信息,不建议用户使用
      Returns:
        `CanvasInfo`

    - #### setCanvasInfo

          public void setCanvasInfo(CanvasInfo canvasInfo)

      设置画布信息，不建议用户使用
      Parameters:
        `canvasInfo` - 画布信息